uuid: 514b0ed3-4f90-4f12-96ec-e74676b47a48
langcode: es
status: true
dependencies: {  }
id: gronze_pg_etapa_note
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'etapa_note PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: etapa_nota
process:
  langcode:
    plugin: default_value
    default_value: es
  field_text_kms: field_text_kms
  field_text_body:
    plugin: sub_process
    source: field_text_body
    process:
      value: value
      format:
        plugin: text_format_map
        source: format
  field_text_title: field_text_title
  field_ref_related_content:
    plugin: sub_process
    source: field_contenido_relacionado
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_alojamiento
          - gronze_node_article
          - gronze_node_caminos
          - gronze_node_etapas
          - gronze_node_page
        source: target_id
        no_stub: true
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: etapa_note
migration_dependencies:
  required:
    - gronze_node_alojamiento
    - gronze_node_article
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_node_page
